Subject: Re: bug#13299: 24.3.50; Tramp adb and device not found

From: Michael Albinus <[email-masked]>
Date: Mon, 11 Mar 2013 11:27:49 +0100

[email-masked] writes:

> Hi Michael,

Hi,

> Looks like I spoke to fast.
>
> It still hangs.
>
> I suspect it occurs when `adb devices' returns the following:
>
> * daemon not running. starting it now on port 5037 *
> * daemon started successfully *
> List of devices attached
>
> Notice that it is blank and a device is not listed.

I can reproduce this message from a shell, if adb does not run on my
local machine, and no device is connected. But it doesn't harm Tramp,
and Emacs does not hang.

In order to reproduce your problem, I have killed adb on my local
machine prior to the following test runs.

1st test
========

C-x C-f /adb: <TAB>
  => "[Sole completion]"

2nd test
========

C-x C-f /adb:: <TAB>
  => "[No match]"

3rd test
========

C-x C-f /adb:: <RET>
  => "No device connected"

So I cannot reproduce the problem. As usual, my local machine does not
run MS Windows but Ubuntu; maybe this is the difference.

Could you, please, tell exactly which key sequence you have used? And
please use "emacs -Q" for your test.

I have used the following Emacs version for test:

GNU Emacs 24.3.50.20 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.13)
 of 2013-03-09 on detlef

Best regards, Michael.